// Serial.h: interface for the CSerial class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERIAL_H__08238A0F_66E3_11D3_80AE_00C04F60EB8B__INCLUDED_)
#define AFX_SERIAL_H__08238A0F_66E3_11D3_80AE_00C04F60EB8B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSerial : public CObject  
{
public:
	int Open();
	int Close();
	CString ReceiveLine();
	int SendLine(CString command);
	
	CSerial();
	virtual ~CSerial();

protected:
	HANDLE hCom;
};

#endif // !defined(AFX_SERIAL_H__08238A0F_66E3_11D3_80AE_00C04F60EB8B__INCLUDED_)
